rm(list=ls())
setwd('D:\\areas_protegidas\\xls_dbf')
# install.packages("ineq")
library(ineq)


################################################################################
# ECOREGION * PAIS

dat <- read.table('ecoregiones_paises.txt', header=T)
dat <- dat[-c(187:190),]

# entropia_eco_pais <- NULL
gini_eco_pais <- NULL
# gini_eco_pais <- data.frame(nrow = 14, ncol = 1)

pais<-dat$pais 

# area protegida IUCN 1a4
for(i in pais) {
  dat_pais <- subset(dat, dat$pais ==i)
  gini_eco_pais$giniAP_1a4[i] <- ineq(dat_pais$AP_1a4, type = "Gini", na.rm = TRUE)
  print(gini_eco_pais$giniAP_1a4)
}

# area protegida IUCN 1a6
for(i in pais) {
  dat_pais <- subset(dat, dat$pais ==i)
  gini_eco_pais$giniAP_1a6[i] <- ineq(dat_pais$AP_1a6, type = "Gini", na.rm = TRUE)
  print(gini_eco_pais$giniAP_1a6)
}

# fraccion protegida IUCN 1a4
for(i in pais) {
  dat_pais <- subset(dat, dat$pais ==i)
  gini_eco_pais$giniFP_1a4[i] <- ineq(dat_pais$FP_1a4, type = "Gini", na.rm = TRUE)
  print(gini_eco_pais$giniFP_1a4)
}

# fraccion protegida IUCN 1a6
for(i in pais) {
  dat_pais <- subset(dat, dat$pais ==i)
  gini_eco_pais$giniFP_1a6[i] <- ineq(dat_pais$FP_1a6, type = "Gini", na.rm = TRUE)
  print(gini_eco_pais$giniFP_1a6)
}

write.table(gini_eco_pais, file="salidas txt/gini_eco_pais.txt", sep=";", row.names=T)